[![status-badge](https://ci.batsense.net/api/badges/89/status.svg)](https://ci.batsense.net/repos/89)

---

# Nodeinfo tests for ForgeFlux/ftest

## TODO

-   [ ] Write code to upload to ftest server
-   [ ] Package Docker container
-   [ ] Upload to Docker Hub

## Environment Variables

Please see [`.env_sample`](./.env_sample)

| NAME                | Purpose                                                                   | Example                                                                                                       |
| ------------------- | ------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------- |
| `FTEST_AUTH`        | Authorization token for uploading test results to ftest server            | a random-generated string that will be provided by ftest server                                               |
| `FTEST_HOST`        | The URL of the ftest's instance to which tests results should be uploaded | `http://localhost:5000`, if an ftest implementation is running on localhost at port 5000                      |
| `FTEST_TARGET_HOST` | The URL of the implementation's instance against which tests will be run  | `http://localhost:3000`, if Forgejo or any other Nodeinfo implementation is running on localhost at port 3000 |

## Usage

```bash
cp .env_sample .env # edit and populate .env with the right values
source .env
python run.py
```

### Docker

```bash
cp .env_sample .env # edit and populate .env with the right values
source .env
docker run \
 -e FTEST_AUTH=$FTEST_AUTH \
 -e FTEST_TARGET_HOST=$FTEST_TARGET_HOST \
 -e FTEST_HOST=$FTEST_HOST forgeflux/nodeinfo-test
```

## Demo

### Successful run:

TODO

<details>

<summary>Please open to see logs</summary>

```bash

```

</details>

### Failed run:

TODO

<details>

<summary>Please open to see logs</summary>

```bash

```

</details>
